/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { IConsumer, IPartitionLambdaFactory, IResources, IResourcesFactory } from "@fluidframework/server-services-core";
import { Provider } from "nconf";
export interface IKafkaResources extends IResources {
    lambdaFactory: IPartitionLambdaFactory;
    consumer: IConsumer;
    config: Provider;
}
export declare class KafkaResources implements IKafkaResources {
    lambdaFactory: IPartitionLambdaFactory;
    consumer: IConsumer;
    config: Provider;
    constructor(lambdaFactory: IPartitionLambdaFactory, consumer: IConsumer, config: Provider);
    dispose(): Promise<void>;
}
export declare class KafkaResourcesFactory implements IResourcesFactory<KafkaResources> {
    private readonly name;
    private readonly lambdaModule;
    constructor(name: string, lambdaModule: string);
    create(config: Provider): Promise<KafkaResources>;
}
//# sourceMappingURL=resourcesFactory.d.ts.map